# $Revision: 1.4 $, $Date: 2011/12/28 20:26:04 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Zeitgeist client library
Summary(pl.UTF-8):	Biblioteka kliencka Zeitgeist
Name:		libzeitgeist
Version:	0.3.12
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://launchpad.net/libzeitgeist/0.3/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	82803dc69d7e2382642fc4f34d46ce32
URL:		http://zeitgeist-project.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.26.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a client library for applications that want to
interact with the Zeitgeist daemon.

%description -l pl.UTF-8
Ten pakiet dostarcza bibliotekę kliencką dla aplikacji chcących
współdziałać z demonem Zeitgeist.

%package devel
Summary:	Header files for zeitgeist library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki zeitgeist
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for zeitgeist library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki zeitgeist.

%package static
Summary:	Static zeitgeist library
Summary(pl.UTF-8):	Statyczna biblioteka zeitgeist
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static zeitgeist library.

%description static -l pl.UTF-8
Statyczna biblioteka zeitgeist.

%package apidocs
Summary:	zeitgeist library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki zeitgeist
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API documentation for zeitgeist library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki zeitgeist.

%package -n vala-zeitgeist
Summary:	Vala API for zeitgeist library
Summary(pl.UTF-8):	API języka Vala dla biblioteki zeitgeist
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-zeitgeist
Vala API for zeitgeist library.

%description -n vala-zeitgeist -l pl.UTF-8
API języka Vala dla biblioteki zeitgeist.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libzeitgeist

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libzeitgeist-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzeitgeist-1.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzeitgeist-1.0.so
%{_includedir}/zeitgeist-1.0
%{_pkgconfigdir}/zeitgeist-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libzeitgeist-1.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/zeitgeist-1.0
%endif

%files -n vala-zeitgeist
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/zeitgeist-1.0.deps
%{_datadir}/vala/vapi/zeitgeist-1.0.vapi

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libzeitgeist.spec,v $
Revision 1.4  2011/12/28 20:26:04  qboosh
- updated to 0.3.12

Revision 1.3  2011/12/28 09:51:46  qboosh
- separated vala binding
- releease 2

Revision 1.2  2011/03/31 15:05:26  megabajt
- updated to 0.3.10

Revision 1.1  2011/03/13 16:34:40  megabajt
- new
